LanguageDetectorSampleStream (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.langdetect

## Class LanguageDetectorSampleStream

- java.lang.Object
- - opennlp.tools.util.FilterObjectStream<String,LanguageSample>
  - - opennlp.tools.langdetect.LanguageDetectorSampleStream

- All Implemented Interfaces:
    AutoCloseable, ObjectStream<LanguageSample>

      public class LanguageDetectorSampleStream
      extends FilterObjectStream<String,LanguageSample>

  This class reads in string encoded training samples, parses them and outputs `LanguageSample` objects.

  Format:
  Each line contains one sample document.
  The language is the first string in the line followed by a tab and the document content.
  Sample line: category-string tab-char document line-break-char(s)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LanguageDetectorSampleStream(ObjectStream<String> samples)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LanguageSample` | `read()` Returns the next object.

    - ### Methods inherited from class opennlp.tools.util.FilterObjectStream

      `close, reset`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LanguageDetectorSampleStream

          public LanguageDetectorSampleStream(ObjectStream<String> samples)

  - ### Method Detail

    - #### read

          public LanguageSample read()
                              throws IOException

      Description copied from interface: `ObjectStream`
      Returns the next object. Calling this method repeatedly until it returns null will return each object from the underlying source exactly once.
      Returns:
        the next object or null to signal that the stream is exhausted
      Throws:
        `IOException` - if there is an error during reading

Copyright © 2026 The Apache Software Foundation. All rights reserved.